- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Buffering_Constraint_Policy Class Reference

Implementation class for TAO-specific Buffering Constraint Policy. More...

`#include <Buffering_Constraint_Policy.h>`

Inheritance diagram for TAO_Buffering_Constraint_Policy:

[legend]
Collaboration diagram for TAO_Buffering_Constraint_Policy:

[legend]
List of all members.

## Public Member Functions
| TAO_Buffering_Constraint_Policy (const TAO::BufferingConstraint &buffering_constraint)
| Constructor.
| TAO_Buffering_Constraint_Policy (const TAO_Buffering_Constraint_Policy &rhs)
| Copy constructor.
virtual TAO_Buffering_Constraint_Policy * | clone (void) const
| Returns a copy of <this>.
virtual TAO::BufferingConstraint | buffering_constraint () throw (CORBA::SystemException)
void | get_buffering_constraint (TAO::BufferingConstraint &) const
virtual CORBA::PolicyType | policy_type () throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy () throw (CORBA::SystemException)
virtual void | destroy () throw (CORBA::SystemException)
virtual TAO_Cached_Policy_Type | _tao_cached_type (void) const
## Private Attributes
TAO::BufferingConstraint | buffering_constraint_
| The attribute.

## Detailed Description

Implementation class for TAO-specific Buffering Constraint Policy.

This policy is used to control the buffering of requests by the ORB.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Buffering_Constraint_Policy::TAO_Buffering_Constraint_Policy | ( | const TAO::BufferingConstraint & | buffering_constraint | ) |

Constructor.

TAO_Buffering_Constraint_Policy::TAO_Buffering_Constraint_Policy | ( | const TAO_Buffering_Constraint_Policy & | rhs | ) |

Copy constructor.

## Member Function Documentation

TAO_Cached_Policy_Type TAO_Buffering_Constraint_Policy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

Reimplemented from CORBA::Policy.

TAO::BufferingConstraint TAO_Buffering_Constraint_Policy::buffering_constraint | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements TAO::BufferingConstraintPolicy.

TAO_Buffering_Constraint_Policy * TAO_Buffering_Constraint_Policy::clone | ( | void |  | ) | const`[virtual]`

Returns a copy of <this>.

CORBA::Policy_ptr TAO_Buffering_Constraint_Policy::copy | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements TAO::BufferingConstraintPolicy.

void TAO_Buffering_Constraint_Policy::destroy | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements TAO::BufferingConstraintPolicy.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE void TAO_Buffering_Constraint_Policy::get_buffering_constraint | ( | TAO::BufferingConstraint & |  | ) | const

CORBA::PolicyType TAO_Buffering_Constraint_Policy::policy_type | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Reimplemented from CORBA::Policy.

## Member Data Documentation

TAO::BufferingConstraint TAO_Buffering_Constraint_Policy::buffering_constraint_`[private]`

The attribute.

The documentation for this class was generated from the following files:

- Buffering_Constraint_Policy.h
- Buffering_Constraint_Policy.cpp
- Buffering_Constraint_Policy.i